Mailinglist Archive: opensuse-commit (1929 mails)
| < Previous | Next > |
commit mkinitrd for openSUSE:Factory
- From: root@xxxxxxxxxxxxxxx (h_root)
- Date: Tue, 11 Oct 2011 17:04:04 +0200
- Message-id: <20111011150404.614F9202C5@hilbert.suse.de>
Hello community,
here is the log from the commit of package mkinitrd for openSUSE:Factory
checked in at Tue Oct 11 17:04:04 CEST 2011.
--------
--- openSUSE:Factory/mkinitrd/mkinitrd.changes 2011-10-04 18:13:42.000000000
+0200
+++ /mounts/work_src_done/STABLE/mkinitrd/mkinitrd.changes 2011-10-07
11:05:09.000000000 +0200
@@ -1,0 +2,6 @@
+Fri Oct 7 08:50:45 UTC 2011 - mmarek@xxxxxxx
+
+- Fix the module dependency resolver to include dependencies of
+ sd_mod (bnc#722484).
+
+-------------------------------------------------------------------
calling whatdependson for head-i586
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ mkinitrd.tar.bz2 ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/mkinitrd-2.7.0/mkinitrd.changes
new/mkinitrd-2.7.0/mkinitrd.changes
--- old/mkinitrd-2.7.0/mkinitrd.changes 2011-09-22 14:26:43.000000000 +0200
+++ new/mkinitrd-2.7.0/mkinitrd.changes 2011-10-07 11:04:55.000000000 +0200
@@ -1,4 +1,15 @@
-------------------------------------------------------------------
+Fri Oct 7 08:50:45 UTC 2011 - mmarek@xxxxxxx
+
+- Fix the module dependency resolver to include dependencies of
+ sd_mod (bnc#722484).
+
+-------------------------------------------------------------------
+Fri Sep 30 15:38:07 UTC 2011 - uli@xxxxxxxx
+
+- cross-build fix: use %__cc macro
+
+-------------------------------------------------------------------
Thu Sep 22 12:18:39 UTC 2011 - mmarek@xxxxxxx
- Include sd_mod if scsi_mod is used (bnc#714924).
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/mkinitrd-2.7.0/mkinitrd.spec
new/mkinitrd-2.7.0/mkinitrd.spec
--- old/mkinitrd-2.7.0/mkinitrd.spec 2011-09-22 14:26:43.000000000 +0200
+++ new/mkinitrd-2.7.0/mkinitrd.spec 2011-10-07 11:04:55.000000000 +0200
@@ -74,8 +74,8 @@
%setup
%build
-gcc $RPM_OPT_FLAGS -Wall -Os -o lib/mkinitrd/bin/run-init src/run-init.c
-gcc $RPM_OPT_FLAGS -Wall -Os -o lib/mkinitrd/bin/warpclock src/warpclock.c
+%__cc $RPM_OPT_FLAGS -Wall -Os -o lib/mkinitrd/bin/run-init src/run-init.c
+%__cc $RPM_OPT_FLAGS -Wall -Os -o lib/mkinitrd/bin/warpclock src/warpclock.c
make -C man
sed -i "s/@BUILD_DAY@/`env LC_ALL=C date -ud yesterday '+%Y%m%d'`/"
sbin/mkinitrd
echo "Checking scripts:"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/mkinitrd-2.7.0/scripts/setup-modules.sh
new/mkinitrd-2.7.0/scripts/setup-modules.sh
--- old/mkinitrd-2.7.0/scripts/setup-modules.sh 2011-09-22 14:26:43.000000000
+0200
+++ new/mkinitrd-2.7.0/scripts/setup-modules.sh 2011-10-07 11:04:55.000000000
+0200
@@ -242,10 +242,11 @@
additional_args=--allow-unsupported-modules
fi
- for module in "$@"; do
- module="${module%.gz}"
- module=${module%.o} # strip trailing ".o" just in case.
- module=${module%.ko} # strip trailing ".ko" just in case.
+ while test $# -gt 0; do
+ module=${1%.gz}
+ module=${module%.ko}
+ module=${module##*/}
+ shift
# don't use a modprobe.conf to get rid of the install lines
module_list=$(/sbin/modprobe \
@@ -261,7 +262,7 @@
fi
module_list=$(echo "$module_list" | sed -rn 's/^insmod +([^
]+).*/\1/p')
for mod in $module_list ; do
- if ! $(echo $resolved_modules | grep -q $mod) ; then
+ if ! $(echo $resolved_modules | grep -qF $mod) ; then
resolved_modules="$resolved_modules $mod"
# check for additional requirements specified by
@@ -271,8 +272,10 @@
local req
for req in $additional_reqs ; do
- if ! $(echo $resolved_modules | grep -q $req) ; then
- resolved_modules="$resolved_modules $req"
+ if ! $(echo $resolved_modules | grep -qF $req) ; then
+ # put $req on the todo list to check for it's
+ # dependencies
+ set -- "$@" "$req"
fi
done
fi
continue with "q"...
Remember to have fun...
--
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |